IPMIUTIL(8)

NAME
ipmiutil - a meta-command to invoke various IPMI functions.

SYNOPSIS
ipmiutil <command> [-x -NUPREFJTVY] [other command options]

DESCRIPTION
This utility performs various IPMI functions. Each of the individual commands in the ipmiutil project can be invoked via this meta-command. The <command> is one of the following:
   alarms show/set the front panel alarm LEDs and relays
   leds show/set the front panel alarm LEDs and relays
   cmd send a specified raw IPMI command to the BMC
   config list/save/restore BMC configuration parameters
   dcmi get/set DCMI parameters
   discover discover all IPMI servers on this LAN
   ekanalyzer run FRU-EKeying analyzer on FRU files
   events decode IPMI events and display them
   firewall show/set firmware firewall functions
   fru show decoded FRU inventory data, write asset tag
   fwum OEM firmware update manager extensions
   getevt get IPMI events and display them, event daemon
   getevent get IPMI events and display them, event daemon
   health check and show the basic health of the IPMI BMC
   hpm HPM firmware update manager extensions
   lan show/set IPMI LAN parameters and PEF table
   picmg show/set picmg extended functions
   reset cause the BMC to reset or power down the system
   sel show/clear firmware System Event Log records
   sensor show Sensor Data Records, readings, thresholds
   serial show/set IPMI Serial & Terminal Mode parameters
   sol start/stop an SOL console session
   sunoem Sun OEM functions
   delloem Dell OEM functions
   tsol Tyan SOL console start/stop session
   wdt show/set/reset the watchdog timer
For help on each command (e.g. 'sel'), enter:
   ipmiutil sel -?
For man pages on each command, its man page is named "i<command>", or refer to SEE ALSO below.
This utility can use either the /dev/ipmi0 driver from OpenIPMI, the /dev/imb driver from Intel, the /dev/ipmikcs driver from valinux, direct user-space IOs, or the IPMI LAN interface if -N is used.

OPTIONS
Command options are described in the man page for each command. Below are a few of the common options.

-x  Causes extra debug messages to be displayed.

-N nodename
    Nodename or IP address of the remote target system. If a nodename is specified, IPMI LAN interface is used. Otherwise the local system management interface is used.

-U rmt_user
    Remote username for the nodename given. The default is a null username.

-P/-R rmt_pswd
    Remote password for the nodename given. The default is a null password.

-E  Use the remote password from Environment variable IPMI_PASSWORD.

-F drv_t
    Force the driver type to one of the followng: imb, va, open, gnu, landesk, lan, lan2, lan2i, kcs, smb. Note that lan2i means lan2 with intelplus. The default is to detect any available driver type and use it.

-J  Use the specified LanPlus cipher suite (0 thru 17): 0=none/none/none, 1=sha1/none/none, 2=sha1/sha1/none, 3=sha1/sha1/cbc128, 4=sha1/sha1/xrc4_128, 5=sha1/sha1/xrc4_40, 6=md5/none/none, ... 14=md5/md5/xrc4_40. Default is 3.

-T  Use a specified IPMI LAN Authentication Type: 0=None, 1=MD2, 2=MD5, 4=Straight Password, 5=OEM.

-V  Use a specified IPMI LAN privilege level. 1=Callback level, 2=User level, 3=Operator level, 4=Administrator level (default), 5=OEM level.

-Y  Yes, do prompt the user for the IPMI LAN remote password. Alternatives for the password are -E or -P.

EXAMPLES
ipmiutil sel
Shows the IPMI System Event Log entries.

ipmiutil wdt
Shows the watchdog timer values.

SEE ALSO
ialarms(8) iconfig(8) icmd(8) idiscover(8) iekanalyzer(8) ievents(8) ifirewall(8) ifru(8) ifruset(8) ifwum(8) igetevent(8) ihealth(8) ihpm(8) ilan(8) ipicmg(8) ireset(8) isel(8) isensor(8) iserial(8) isol(8) isunoem(8) iwdt(8) ipmiutil(8) ipmi_port(8)

WARNINGS
See http://ipmiutil.sourceforge.net/ for the latest version of ipmiutil and any bug fix list.

COPYRIGHT
Copyright (C) 2009 Kontron America, Inc.

See the file COPYING in the distribution for more details regarding redistribution.

This utility is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY.

AUTHOR

Andy Cress <arcress at users.sourceforge.net>